Summary: Stateless Linux
Name: stateless
Version: 0.20
Release: 1
License: GPL
Group: System Environment/Daemons
URL: http://www.redhat.com/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArchitectures: noarch

%description
Stateless Linux.

%package client
Copyright: GPL
Summary: Tools for client images of Stateless Linux
Group: Development/Libraries
Requires: stateless-common = %{version}
Requires: anaconda
Requires: booty
Requires: pygtk2

%description client
Stateless Linux client tools

%package server
Copyright: GPL
Summary: Stateless Linux server
Group: Development/Libraries
Requires: stateless-common = %{version}
Requires: openldap-servers
Requires: rhpl

%description server
Stateless Linux server

%package common
Copyright: GPL
Summary: Shared files for Stateless Linux
Group: Development/Libraries
Requires: python-ldap

%description common
Stateless Linux shared files

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files common
%defattr(-,root,root,-)
%config(noreplace) %attr(0600, root, root) %{_sysconfdir}/sysconfig/stateless
%{_datadir}/stateless/config.py
%{_datadir}/stateless/shvar.py
%{_datadir}/stateless/statelessgrub.py
%{_datadir}/stateless/LDAPUtils.py
%{_datadir}/stateless/MACAddress.py
%{_datadir}/stateless/TransferMethod.py
%{_datadir}/stateless/stateless-status.py
%{_sbindir}/stateless-status

%files server
%defattr(-,root,root,-)
%doc schema/stateless-schema.txt schema/stateless-schema.dia
%doc ks-example.cfg schema/stateless-populate-ldap.sh
/srv/stateless
/tftpboot/linux-install/stateless
%{_sysconfdir}/cron.hourly/stateless-pxecfg
%{_datadir}/stateless/stateless-snapshooter.py
%{_datadir}/stateless/MainWindow.py
%{_datadir}/stateless/NewSnapshotWindow.py
%{_datadir}/stateless/lvm.py
%{_datadir}/stateless/NewSnapshotWindow.glade
%{_datadir}/stateless/stateless-servers.py
%{_datadir}/stateless/stateless-clients.py
%{_datadir}/stateless/statelessGenPXEConfig.py
%{_datadir}/stateless/snapshooter.py
%{_datadir}/stateless/snapshooter.glade
%{_sbindir}/stateless-snapshooter
%{_sbindir}/stateless-snapshooter-gui
%{_sbindir}/stateless-servers
%{_sbindir}/stateless-clients
%{_datadir}/stateless/stateless.schema

%files client
%defattr(-,root,root,-)
%{_sysconfdir}/init.d/stateless
%{_sysconfdir}/cron.hourly/stateless-replicator
%{_datadir}/stateless/stateless-bootstrap.py
%{_datadir}/stateless/bootstrap.py
%{_datadir}/stateless/bootstrap.glade
%{_datadir}/stateless/replicator.py

%changelog
* Mon Sep 13 2004 Mark McLoughlin <markmc@redhat.com> - 0.20-1
- Initial build


